Bug 1302232 - dnf copr disable doesn't work
dnf copr disable doesn't work
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-27 04:14 EST by Jan Synacek
Modified: 2016-11-28 09:09 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-28 09:09:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Synacek 2016-01-27 04:14:57 EST
Version-Release number of selected component (if applicable):
dnf-1.1.5-1.fc23.noarch


Steps to Reproduce:
1. dnf copr list jsynacek
jsynacek/emacs-25 : ...

2. dnf copr disable 'jsynacek/emacs-25'
Error: No matching repo to modify: jsynacek-emacs-25.
Error: Failed to disable copr repo jsynacek/emacs-25

Actual results:
Repo is not disabled and error is shown.


Expected results:
Repo is disabled.
Comment 1 Parag Nemade 2016-01-27 04:25:32 EST
Does /etc/yum.repos.d/_copr_jsynacek-emacs-25.repo file really exists on your system?
Comment 2 Jan Synacek 2016-01-27 04:26:18 EST
Note that, for some reason, there is no 'jsynacek-emacs-25' in /etc/yum.repos.d, even though I have enabled it before. Now I can't even enable it, see bug #1302235.
Comment 3 Fedora Admin XMLRPC Client 2016-07-08 05:25:21 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2016-11-24 10:13:49 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Michael Mráka 2016-11-28 09:09:01 EST
Has been fixed during dnf 2.0 development.

dnf-2.0.0-0.rc1.4.fc26.noarch



# dnf copr list jsynacek
...
jsynacek/emacs-25 : ...
# dnf copr enable jsynacek/emacs-25

You are about to enable a Copr repository. Please note that this
repository is not part of the main Fedora distribution, and quality
may vary.
...
Do you want to continue? [y/N]: y
Repository successfully enabled.
# dnf repolist
Copr repo for emacs-25 owned by jsynacek                                   33 kB/s |  24 kB     00:00    
Last metadata expiration check: 0:00:00 ago on Mon Nov 28 15:04:30 2016 CET.
repo id                 repo name                                                                   status
jsynacek-emacs-25       Copr repo for emacs-25 owned by jsynacek                                        7
*rawhide                Fedora - Rawhide - Developmental packages for the next Fedora release       52273
# ll /etc/yum.repos.d/_copr*
-rw-r--r--. 1 root root 342 Nov 28 15:07 /etc/yum.repos.d/_copr_jsynacek-emacs-25.repo
# dnf copr disable jsynacek/emacs-25
Repository successfully disabled.
# dnf repolist
Last metadata expiration check: 0:36:54 ago on Mon Nov 28 14:27:51 2016 CET.
repo id            repo name                                                                        status
*rawhide           Fedora - Rawhide - Developmental packages for the next Fedora release            52273
# dnf copr remove jsynacek/emacs-25
Repository successfully removed.
# ll /etc/yum.repos.d/_copr*
ls: cannot access '/etc/yum.repos.d/_copr*': No such file or directory

Note You need to log in before you can comment on or make changes to this bug.